Subject: Re: bug#61210: 28.2; Request to modify code which can accidentally overwrite AUCTeX function

From: Stefan Kangas <[email-masked]>
Date: Wed, 6 Sep 2023 01:02:23 -0700

Ikumi Keita <[email-masked]> writes:

> Hi Stefan,
>
>>>>>> Stefan Kangas <[email-masked]> writes:
>> From skimming this bug report, it seems like all the issues were
>> resolved here?  Or is there anything left to do?
>
> As a longer term goal, it would be ideal to remove the current autoloads
> in my opinion. However, if it is considered difficult to do so for some
> reason (e.g. keeping backward compatibility), I don't mind much.

I think it will be a breaking change unfortunately.  To do it safely,
we'd have to obsolete the relevant functions, and introduce new ones
that are not autoloaded.  Which I guess is not ideal here.

I'm closing this bug for now.  If you can think of anything else, please
reopen this bug or file a new one.

Thanks.